import { DecoratorNode, type DOMConversionMap, type DOMExportOutput, type LexicalNode, type SerializedLexicalNode, type Spread } from 'lexical';
export type SerializedHorizontalRuleNode = Spread<{
    type: 'horizontal-rule';
    version: 1;
}, SerializedLexicalNode>;
export declare class HorizontalRuleNode extends DecoratorNode<null> {
    static getType(): string;
    static clone(node: HorizontalRuleNode): HorizontalRuleNode;
    static importJSON(_serializedNode: SerializedHorizontalRuleNode): HorizontalRuleNode;
    static importDOM(): DOMConversionMap | null;
    exportJSON(): SerializedHorizontalRuleNode;
    exportDOM(): DOMExportOutput;
    createDOM(): HTMLElement;
    updateDOM(): false;
    getTextContent(): string;
    isInline(): false;
    decorate(): null;
}
export declare function $createHorizontalRuleNode(): HorizontalRuleNode;
export declare function $isHorizontalRuleNode(node: LexicalNode | null | undefined): node is HorizontalRuleNode;
